# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate cranelift-wasm

Name:           rust-%{crate}
Version:        0.77.0
Release:        1%{?dist}
Summary:        Translator from WebAssembly to Cranelift IR

# Upstream license specification: Apache-2.0 WITH LLVM-exception
License:        ASL 2.0 with exceptions
URL:            https://crates.io/crates/cranelift-wasm
Source:         %{crates_source}

# Cranelift currently only supports x86_64, aarch64 and s390x.

# https://bugzilla.redhat.com/show_bug.cgi?id=1966344
ExcludeArch: %{ix86}
# https://bugzilla.redhat.com/show_bug.cgi?id=1966346
ExcludeArch: %{arm32}
# https://bugzilla.redhat.com/show_bug.cgi?id=1966347
ExcludeArch: %{power64}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Translator from WebAssembly to Cranelift IR.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%doc README.md
%license LICENSE
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+core-devel %{_description}

This package contains library source intended for building other packages
which use "core" feature of "%{crate}" crate.

%files       -n %{name}+core-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+enable-serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+enable-serde-devel %{_description}

This package contains library source intended for building other packages
which use "enable-serde" feature of "%{crate}" crate.

%files       -n %{name}+enable-serde-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+hashbrown-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hashbrown-devel %{_description}

This package contains library source intended for building other packages
which use "hashbrown" feature of "%{crate}" crate.

%files       -n %{name}+hashbrown-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages
which use "serde" feature of "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages
which use "std" feature of "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Sep 22 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.77.0-1
- Update to upstream 0.77.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.75.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 10 21:32:25 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.75.0-1
- Update to upstream 0.75.0

* Tue Jun 01 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.74.0-2
- Exclude arch unsupported by Cranelift

* Sat May 22 14:57:54 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.74.0-1
- Initial package
